<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Real 3D Cloud</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="Tags cloud, 3d cloud, image gallery, 3d menu, jquery plugin">
		<meta name="author" content="Sandi">

		
		<!-- Bootstrap -->
		<link href="css/bootstrap.css" rel="stylesheet">

		<link href="css/style.css" rel="stylesheet"><link href="css/colorbox.css" rel="stylesheet"><style type="text/css">
		body {
			padding-top: 60px;
			padding-bottom: 40px;		
		}

		#mycloud {width:400px;}
		#mycloud a{text-decoration:none;}		
		#mycloud li{
			font-size:40px;
			list-style-type:none;
			cursor: pointer;
		}		
		#mycloud li:hover{font-size:50px;}
		#mycloud img{cursor: pointer;}
	
		.controls{padding-top:20px;}
		.controls2{padding-top:20px;}
		.controls3{padding-left:20px;}
		
		
		
		#mycloud .img{
			padding:3px;
			border:1px solid #777;
		}
		#mycloud .img{background-color:#fff;}		
		#mycloud .img:hover{border:2px solid #222;margin:-1px;}
				
		#mycloud div{
			cursor: pointer;
			height:24px;
			line-height:24px;
			font-size:12px;
			padding:0 12px 0 12px;					
			-moz-border-radius:4px;
			-webkit-border-radius:4px; 
			border-radius:4px;			
		} 
		#mycloud div:hover{background:#ccc;}
		
		
	
		.controls ul{list-style-type:none;}
		.button{display: block;	width: 30px;height: 29px;text-indent: -9999px;	left: 0px;outline: none; float:left;}
		#play{	background-image: url(img/play.png);	}
		#play:hover{background: transparent url(img/play_hover.png) bottom left no-repeat;}

		#stop{	background-image: url(img/stop.png);	}
		#stop:hover{background: transparent url(img/stop_hover.png) bottom left no-repeat;}

		#pause{	background-image: url(img/pause.png);	}
		#pause:hover{background: transparent url(img/pause_hover.png) bottom left no-repeat;}

		#pause3s{width: 90px;background-image: url(img/pause3s.png);	}
		#pause3s:hover{background: transparent url(img/pause3s_hover.png) bottom left no-repeat;}
	
	</style>		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
		  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->

		
		<!-- Favicons
		================================================== -->
		<link rel="shortcut icon" href="img/favicon.ico">
		
		<script src="js/jquery-1.7.1.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/bootstrap-slider.js"></script>
		<script src="js/jquery.tags-cloud-demo.js"></script>	
		
		<script src="js/jquery.colorbox-min.js"></script><script src="js/application.features.js"></script><script type="text/javascript">var demopage=6;</script>		
	</head>
	<body>
<div class="navbar navbar-fixed-top ">
  <div class="navbar-inner">
	<div class="container">
	  <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
	  </a>
	  <a class="brand" href="index.php">Real 3D Cloud</a>
	  <div class="nav-collapse collapse">
		<ul class="nav">
			
			<li><a href="index.php">Showcase</a></li><li class="active"><a href="#">Features</a></li><li><a href="more.php">More Staff</a></li>		           
		</ul>
		
		
		
	  </div><!--/.nav-collapse -->
	</div>
  </div>
</div>			
		
	<div id="log">&nbsp;</div>   
	
	<div class="container">
		<div class="row-fluid">
			
			<div class="span6">	
			
				<h1>External control</h1><div id="mycloud"><div data-onclick="Lorem">Lorem</div><div data-onclick="ipsum">ipsum</div><div data-onclick="dolor">dolor</div><div data-onclick="sit">sit</div><div data-onclick="amet">amet</div><div data-onclick="consectetur">consectetur</div><div data-onclick="adipiscing">adipiscing</div><div data-onclick="elit">elit</div><div data-onclick="Vestibulum">Vestibulum</div><div data-onclick="vehicula">vehicula</div><div data-onclick="elit">elit</div><div data-onclick="id">id</div><div data-onclick="lorem">lorem</div><div data-onclick="pellentesque">pellentesque</div><div data-onclick="sed">sed</div><div data-onclick="consequat">consequat</div><div data-onclick="neque">neque</div><div data-onclick="rhoncus">rhoncus</div><div data-onclick="Cras">Cras</div><div data-onclick="tempor">tempor</div><div data-onclick="dui">dui</div><div data-onclick="sit">sit</div><div data-onclick="amet">amet</div><div data-onclick="dictum">dictum</div></div>			</div>
		
		
			<div class="span3">	
				<h2 class="controls3">Play</h2>
								
				<div class="controls">	
					<ul><h5>Mouse emulation</h5>
					<li><a href="#" onmousedown="$('#mycloud').cloud('mouseTo', {x:100, y:0});show('pause');hide('play');" onClick="return false"> mouse to the right</a></li>
					<li><a href="#" onmousedown="$('#mycloud').cloud('mouseTo', {x:-100, y:0});show('pause');hide('play');" onClick="return false"> mouse to the left</a></li>
					<li><a href="#" onmousedown="$('#mycloud').cloud('mouseTo', {x:0, y:100});show('pause');hide('play');" onClick="return false"> mouse to the up</a></li>
					<li><a href="#" onmousedown="$('#mycloud').cloud('mouseTo', {x:0, y:-100});show('pause');hide('play');" onClick="return false"> mouse to the down</a></li>
					<li><a href="#" onmousedown="$('#mycloud').cloud('mouseToRandom');show('pause');hide('play');" onClick="return false"> mouse to random position </a></li>
					<li><a href="#" onmousedown="$('#mycloud').cloud('mouseTo', {x:70, y:-90});show('pause');hide('play');" onClick="return false"> mouse to (70%,-90%) right-bottom corner</a></li>					
										
					</ul>
					
					
					<ul>						
						<li><a id="stop" class="button" href="#" onmousedown="$('#mycloud').cloud('stop')" onClick="return false"> stop </a></li>
						<li><a id="play" class="button" href="#" onmousedown="$('#mycloud').cloud('unpause');show('pause');hide('play');" onClick="return false"> start auto play </a></li>
						<li><a id="pause" class="button" href="#" onmousedown="$('#mycloud').cloud('triggerPause');show('play');hide('pause');" onClick="return false"> trigger pause </a></li>
						<li><a id="pause3s" class="button" href="#" onmousedown="$('#mycloud').cloud('pause',3000)" onClick="return false"> pause 3s </a></li>
					</ul>
				</div>
				
									
				<div class="clearfix"></div>
				
				<div class="controls2 controls3">
					<div>preview those features with:</div>
					<div class="btn-group" id="styles" data-toggle="buttons-radio">
						<a class="btn disabled" href="#" data-skin="1">text</a>
						<a class="btn " href="#" data-skin="2">images</a>
						<a class="btn " href="#" data-skin="3">dots</a>					
					</div>
				</div>
				
				
								
				
				
			</div> 
			
			<div class="span2">	
				<h2>Features</h2>
				<div class="controls">
					<ul class="nav nav-list">
					<li ><a href="?p=1">Templates</a></li><li><a href="response.php?p=2">Responsiveness</a></li><li ><a href="?p=4">Mouse control</a></li><li class="active"><a href="?p=6">External control</a></li>					</ul>
				</div>
			
			</div>
			
		</div>
		
	</div>
	
	<div class="clearfix"></div>
	<hr>
	<div class="container"> 
		<footer>
			<p>&copy; <a href="http://codecanyon.net/user/Sandi/portfolio" target="_blank"><span id="l"></span>Sandi</a></p>
		</footer>	 
    </div> <!-- /container -->
	
	
	
  </body>
</html>