$(document).ready(function(){
	
	if(typeof demopage=='undefined') demopage=1;
	
	//START cloud			
	$('#mycloud').cloud({

		//all settings are optional, you can delete them or provide your values
	
		hwratio				: 1,		//height/width ratio
		enable				: true,		//enable effect on mouse move
		draggable			: true,		//enable mouse drag
		gravitydriven		: false,		//enable effect on mobile device movement
		template			: (demopage==2)?4:1,		//number of template (0-10) or function
		maxspeed			: 4,		//maximum rotation speed
		attenuation			: 0.01,		//attenuation
		perspective			: 0.4,		//perspective koefficient
		sensitivityx		: (demopage==2)?0.2:0.08,		//if sensitivity=0 no effect will be applied
		sensitivityy		: (demopage==2)?0.2:0.08,		//negative values invert mouse			
		fadein				: 400,		//fadein on start (in ms)
		fog					: (demopage==1)?0.7:0.4,		//fog index
		zsort				: true,		//sort by z
		fps					: 60,		//default fps limit
		fpsmobile			: 30,		//default fps limit on mobile devices
		scale				: 0.8,		//scale template
		imgscale			: 0,		//scale images (works only if they are direct children of cloud)
		onclick             : someFunction	//function to execute on tag click
	}); 

	
	
	
	
	if(demopage==1){
		$("#styles a").bind( "click", function(){
			var stylen='style'+this.innerHTML;
			//$('#mycloud').removeClass().addClass(stylen).cloud('update');
			$("#styles a").removeClass('disabled');
			$(this).addClass('disabled');
		});
	}else{
		$("#styles a").bind( "click", function(){
			var stylen='style'+this.innerHTML;
			$('#mycloud').removeClass().addClass(stylen).cloud('update');
			$("#styles a").removeClass('disabled');
			$(this).addClass('disabled');
		});	
	}
	
	
	$(".dropdown-menu li a").bind( "click", function(){
		var template=(this.href).split('#')[1];
		if(template=='custom') template=customTemplate;
		$('#vtemplate').html(this.innerHTML);
		$('#mycloud').cloud('option','template',template);
		//return false;
	});

	$(".ui-slider").bind( "slide", function(){
		//$( this ).next().html( "The value is: " + this.value+'  '+this.id );
		$( '#v'+this.id ).html(this.value);
		$('#mycloud').cloud('option',this.id ,this.value);
	}).trigger("slide");
	
	
});






function customTemplate(n, nmax) {
	var x=Math.sin(8*n/nmax);	//n - current tag number, nmax - number of tags
	var y=Math.cos(4*n/nmax);	//n - current tag number, nmax - number of tags
	var z=2*n/nmax-1;	//n - current tag number, nmax - number of tags
	return {x:x,y:y,z:z};		
};



function someFunction(v) {
	if(demopage!=1){
		if(typeof v == 'undefined') v='tag';
		v='You clicked '+v+'.';
		if(demopage==2) v+= ' Opening other pages is disabled in DEMO';
		alert(v);  //v = value of data-onclick attribute	(see below)
	}else{
		//show modal window on tag click
		$.colorbox({href:"img/big/"+v+".jpg", opacity:0.5, scalePhotos:true, maxWidth:'90%', maxHeight:'90%', initialWidth:'50%'});	
	}	
};


function optionSwitch(optionName, optionValue){
	if(typeof optionValue == 'undefined'){
		optionValue=document.getElementById(optionName).checked;
	}
	$('#mycloud').cloud('option',optionName,optionValue);						
}


function changeTemplate(){
	var n=$('#mycloud').cloud('option','template');
	n=n>8?1:n+1;
	$('#mycloud').cloud('option','template',n);
}

